Package org.apache.synapse.transport.passthru.util

# Class TraceMessageBuilderDispatchHandler

java.lang.Object
org.apache.axis2.handlers.AbstractHandler
org.apache.axis2.engine.AbstractDispatcher
org.apache.synapse.transport.passthru.util.TraceMessageBuilderDispatchHandler

All Implemented Interfaces:
  `org.apache.axis2.engine.Handler`

public class TraceMessageBuilderDispatchHandler extends org.apache.axis2.engine.AbstractDispatcher
This enables the persist full in come message for SOAP tracing facility provided

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.axis2.engine.Handler

  `org.apache.axis2.engine.Handler.InvocationResponse`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`

  ### Fields inherited from class org.apache.axis2.handlers.AbstractHandler

  `handlerDesc`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TraceMessageBuilderDispatchHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.axis2.description.AxisOperation`
  `findOperation(org.apache.axis2.description.AxisService axisService, org.apache.axis2.context.MessageContext messageContext)`
  `org.apache.axis2.description.AxisService`
  `findService(org.apache.axis2.context.MessageContext messageContext)`
  `void`
  `initDispatcher()`
  `org.apache.axis2.engine.Handler.InvocationResponse`
  `invoke(org.apache.axis2.context.MessageContext messageContext)`

  ### Methods inherited from class org.apache.axis2.handlers.AbstractHandler

  `cleanup, flowComplete, getHandlerDesc, getName, getParameter, init, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TraceMessageBuilderDispatchHandler

    public TraceMessageBuilderDispatchHandler()

- ## Method Details

  - ### findOperation

    public org.apache.axis2.description.AxisOperation findOperation(org.apache.axis2.description.AxisService axisService, org.apache.axis2.context.MessageContext messageContext) throws org.apache.axis2.AxisFault
    Specified by:
      `findOperation` in class `org.apache.axis2.engine.AbstractDispatcher`
    Throws:
      `org.apache.axis2.AxisFault`

  - ### findService

    public org.apache.axis2.description.AxisService findService(org.apache.axis2.context.MessageContext messageContext) throws org.apache.axis2.AxisFault
    Specified by:
      `findService` in class `org.apache.axis2.engine.AbstractDispatcher`
    Throws:
      `org.apache.axis2.AxisFault`

  - ### initDispatcher

    public void initDispatcher()
    Specified by:
      `initDispatcher` in class `org.apache.axis2.engine.AbstractDispatcher`

  - ### invoke

    public org.apache.axis2.engine.Handler.InvocationResponse invoke(org.apache.axis2.context.MessageContext messageContext) throws org.apache.axis2.AxisFault
    Specified by:
      `invoke` in interface `org.apache.axis2.engine.Handler`
    Overrides:
      `invoke` in class `org.apache.axis2.engine.AbstractDispatcher`
    Throws:
      `org.apache.axis2.AxisFault`